'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _constants = require('./utils/constants');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TABLE = _constants.listTypes.TABLE,
    LARGE = _constants.listTypes.LARGE;
exports.default = {
	// <VirtualizedList.Content> elements to configure the content fields
	children: _propTypes2.default.arrayOf(_propTypes2.default.element),
	// The collection items
	collection: _propTypes2.default.arrayOf(_propTypes2.default.object),
	// The id. The sub-ids will be based on the ids as prefix
	id: _propTypes2.default.string,
	// Highlight row on click
	isActive: _propTypes2.default.func,
	/** Function : (collectionItem) => Boolean
  *  This is called to determine if the element is selected.
  *  Note that this is not used/displayed if the selectionToggle props is not passed */
	isSelected: _propTypes2.default.func,
	// The row click
	onRowClick: _propTypes2.default.func,
	// The row height in ListGrid rendering
	rowHeight: _propTypes2.default.number,
	/** Function to call on element selection
  *  This determines the display of the selection checkboxes. */
	selectionToggle: _propTypes2.default.func,
	// Function to call on sort change in ListTable rendering (header click)
	sort: _propTypes2.default.func,
	// Content field of the current sort
	sortBy: _propTypes2.default.string,
	// Current sort direction ('ASC' | 'DESC')
	sortDirection: _propTypes2.default.oneOf([_constants.SORT_BY.ASC, _constants.SORT_BY.DESC]),
	// List type ('TABLE' | 'LARGE' | ...)
	type: _propTypes2.default.oneOf([TABLE, LARGE])
};